-- NetIQ eDirectory Instrumentation for Novell Audit - Schema Definition
--

-- VeRsIoN=NsureAudit 2.x
-- CoPyRiGhT=Copyright (c) 2013 NetIQ Corporation and its affiliates. All Rights Reserved.
--

NAuditSchemaExtentions DEFINITIONS ::=
BEGIN

-------------------------------------------------------------------------------
-- Special attributes
--

-- Attribute for instrumentation settings
"NAuditInstrumentation" ATTRIBUTE ::=
{
	SyntaxID	SYN_CI_STRING,
	Flags       {DS_SYNC_IMMEDIATE},
	ASN1ObjID   {2 16 840 1 113719 1 347 4 79}
}

-- Link from NCP server object to Secure Logging Server (used for bootstrapping)
"NAuditLoggingServer" ATTRIBUTE ::=
{
	SyntaxID	SYN_DIST_NAME,
	Flags       {DS_SYNC_IMMEDIATE, DS_PUBLIC_READ},
	ASN1ObjID   {2 16 840 1 113719 1 347 4 2}
}


------------------------------------------
-- New Object Classes
------------------------------------------
------------------------------------------

-- We need the attribute on the NCP server to bootstrap ourselves
"NCP Server" OBJECT-CLASS ::=
{
	Operation       MODIFY,
	MayContain  {
		"NAuditLoggingServer",
		"NAuditInstrumentation"
	}
}

END
