--      ------------------------------------------------------------------------
--
--      Nested Group Schema Definitions
--      VeRsIoN=1.0
--      CoPyRiGhT=Copyright (c) 2013 NetIQ Corporation and its affiliates. All Rights Reserved.
--
--      Name:                                   nestedgrp.sch
--      %version:                       3.1.2 %
--      %date_modified: Tue Feb 21 11:23:30 2012 %
--      ------------------------------------------------------------------------
--

NestedGroupSchemaExtensions DEFINITIONS ::=
BEGIN

--
-- These definitions are added as part of nested Group feature
--
-- This attribute is meant to hold DN of another group.
--
"groupMember" ATTRIBUTE ::=
{
        Operation   ADD,
        Flags    {DS_SYNC_IMMEDIATE},
        SyntaxID SYN_DIST_NAME,
        ASN1ObjID   {2 16 840 1 113719 1 1 4 711}
}

--
-- Contains the configuration for nesting:
-- 	- while returning attributes member, Group Membership and groupMember
--	- during ACL computation
--	- evaluating assertions on member, Group Membership and groupMember.
-- 
-- 0 indicates the server enforces nesting within the local server 
--		(nesting local is default, if attribute not present or has an invalid value)
-- 1 indicates the server will not nest at all.
-- 2 indicates the server enforces nesting across the tree (not supported in 8.8 SP2)
--
"nestedConfig" ATTRIBUTE ::=
{
        Operation   ADD,
        Flags    {DS_SYNC_IMMEDIATE, DS_SINGLE_VALUED_ATTR},
        SyntaxID SYN_INTEGER,
        ASN1ObjID   {2 16 840 1 113719 1 1 4 712}
}

--
-- Auxilliary class, which can be associated with a static group.
-- From draco onwards, it can also be associated with dynamicgroup.
-- 
-- Group Membership attribute: will hold the DN of the group which this 
-- group is a groupMember.
-- excludedMember: hold members which are to be excluded from the nested 
-- members found while nesting(not the direct members of the group).
--
"nestedGroupAux" OBJECT-CLASS ::=
{
        Operation       ADD,
        Flags           {DS_AUXILIARY_CLASS},
        MayContain  {
                        "groupMember", "excludedMember",
                        "nestedConfig", "Group Membership"
        },
        ASN1ObjID   {2 16 840 1 113719 1 1 6 1 91}
}

END
