-- NWAdmin ASN1 Schema Definitions
-- NetIQ Corporation 
-- 1233 West Loop South, Suite 810 
-- Houston, TX 77027 USA

-- VeRsIoN=GRBeta 1.1
-- CoPyRiGhT=Copyright (c) 2013 NetIQ Corporation and its affiliates. All Rights Reserved.

-- Object ID Syntax
------------------------------------------
------------------------------------------
-- ASN1 Object ID's Defined as Follows:
--     joint-iso-ccitt(2) country(16) us(840) organization(1)
--     Novell(113719) applications(1) NDS(1)  NDSAttributeType(4)
--                                            NDSAttributeSyntax(5)
--                                            NDSObjectClass(6)
--              revision number(1) sequence number(1)
------------------------------------------
-- One Additional Digit was added before the attribute or object
-- identifier to identify the release number.  This number reflects
-- the release number in which the object or attribute was added to the
-- definition.  The first release would have the ID 1 and count up from
-- there.
-- An example of the attribute of the first revision with sequence 1 would be:
-- 2 16 840 1 113719 1 1 4 1 1.
-- The attribute of the third revision with sequence 4 would be:
-- 2 16 840 1 113719 1 1 4 3 4.
------------------------------------------

TemplateSchemaExtensions {0 0 1 1 3}   DEFINITIONS ::=
BEGIN

"Trustees Of New Object" ATTRIBUTE ::=
{
	SyntaxID       SYN_OBJECT_ACL,
   ASN1ObjID      {2 16 840 1 113719 1 54 4 1 1}
}

"New Object's DS Rights" ATTRIBUTE ::=
{
	SyntaxID       SYN_OBJECT_ACL,
   ASN1ObjID      {2 16 840 1 113719 1 55 4 1 1}
}

"New Object's FS Rights" ATTRIBUTE ::=
{
	SyntaxID       SYN_PATH,
   ASN1ObjID      {2 16 840 1 113719 1 56 4 1 1}
}

"Setup Script" ATTRIBUTE ::=
{
	SyntaxID       SYN_STREAM,
   ASN1ObjID      {2 16 840 1 113719 1 57 4 1 1}
}

"Run Setup Script" ATTRIBUTE ::=
{
	Flags          {DS_SINGLE_VALUED_ATTR},
	SyntaxID       SYN_BOOLEAN,
   ASN1ObjID      {2 16 840 1 113719 1 58 4 1 1}
}

"Members Of Template" ATTRIBUTE ::=
{
	SyntaxID       SYN_DIST_NAME,
   ASN1ObjID      {2 16 840 1 113719 1 59 4 1 1}
}

"Volume Space Restrictions" ATTRIBUTE ::=
{
	SyntaxID       SYN_PATH,
   ASN1ObjID      {2 16 840 1 113719 1 60 4 1 1}
}

"Set Password After Create" ATTRIBUTE ::=
{
	Flags          {DS_SINGLE_VALUED_ATTR},
	SyntaxID       SYN_BOOLEAN,
   ASN1ObjID      {2 16 840 1 113719 1 61 4 1 1}
}

"Home Directory Rights" ATTRIBUTE ::=
{
	SyntaxID       SYN_INTEGER,
   ASN1ObjID      {2 16 840 1 113719 1 62 4 1 1}
}

"New Object's Self Rights" ATTRIBUTE ::=
{
	SyntaxID       SYN_OBJECT_ACL,
   ASN1ObjID      {2 16 840 1 113719 1 63 4 1 1}
}

"Template"      OBJECT-CLASS ::=
{
	Flags          {DS_EFFECTIVE_CLASS},
	SubClassOf     {"Top"},
	ContainedBy    {"Organizational Unit","Organization"},
	NamedBy        {"CN"},
	MustContain    {"CN"},
	MayContain     {"Trustees Of New Object",
      				"New Object's DS Rights",
      				"New Object's FS Rights",
      				"Setup Script",
      				"Run Setup Script",
      				"Members Of Template",
      				"Volume Space Restrictions",
      				"Set Password After Create",
      				"Home Directory Rights",
      				"Account Balance",
      				"Allow Unlimited Credit",
      				"Description",
      				"EMail Address",
      				"Facsimile Telephone Number", 
      				"Group Membership",
      				"Higher Privileges",
      				"Home Directory", 
      				"L",
      				"Language",
      				"Login Allowed Time Map",
      				"Login Disabled", 
      				"Login Expiration Time", 
      				"Login Grace Limit", 
      				"Login Maximum Simultaneous", 
      				"Login Script", 
      				"MailBox ID", 
      				"MailBox Location", 
      				"Member", 
      				"Message Server", 
      				"Minimum Account Balance", 
      				"Network Address Restriction", 
      				"New Object's Self Rights",
      				"OU", 
      				"Password Allow Change", 
      				"Password Expiration Interval", 
      				"Password Expiration Time", 
      				"Password Minimum Length", 
      				"Password Required", 
      				"Password Unique Required", 
      				"Physical Delivery Office Name", 
      				"Postal Address", 
      				"Postal Code", 
      				"Postal Office Box", 
      				"Profile", 
      				"S", 
      				"SA", 
      				"Security Equals", 
      				"Security Flags", 
      				"See Also", 
      				"Telephone Number", 
      				"Title"},
   ASN1ObjID      {2 16 840 1 113719 1 64 6 1 1}
}
END
