-- eDirectory password and login management override schema
-- %version:		 idc_n4u#6 %
-- %date_modified:	 Mon Jun  4 12:30:18 2007 %
--
-- CoPyRiGhT=Copyright (c) 2013 NetIQ Corporation and its affiliates. All Rights Reserved.

NDSSchemaExtensions {2 16 840 1 113719 1 1} DEFINITIONS ::=
BEGIN

-- 
-- This attribute is the partition level policy regarding NDAP password management.
-- The attribute value can be either 0 or 1.
-- If the value is not set, then the NDAP password management is enabled.
-- 0 - Disables the NDAP password management
-- 1 - Enables the NDAP password management
-- If the NDAP password management is enabled at the partition level then 
-- NDAP password management will be enabled irrespective of the class and entry level policies.
--
"ndapPartitionPasswordMgmt"	ATTRIBUTE ::=
{
	Operation	ADD,
	Flags		{DS_SINGLE_VALUED_ATTR},
	SyntaxID	SYN_INTEGER,
	ASN1ObjID	{2 16 840 1 113719 1 1 4 1 528}
}

--
-- Presence of this attribute on a class definition indicates that by default
-- the class should use the NDAP password management and ignore the partition
-- level policy.
--
"ndapClassPasswordMgmt"		ATTRIBUTE ::=
{
	Operation	ADD,
   	SyntaxID	SYN_UNKNOWN,
	ASN1ObjID	{2 16 840 1 113719 1 1 4 1 529}
}

--
-- This attribute allows per object instance overrides of the partition or 
-- class policies.
-- 0 - Disables the NDAP password management
-- 1 - Enables the NDAP password management
--
"ndapPasswordMgmt"		ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_INTEGER,
	Flags		{DS_SINGLE_VALUED_ATTR},
	ASN1ObjID	{2 16 840 1 113719 1 1 4 1 530}
}

-- 
-- This attribute is the partition level policy regarding NDAP login management.
-- The attribute value can be either 0 or 1. If the value is not set then 
-- the NDAP login management will be enabled.
-- 0 - Disables the NDAP login management
-- 1 - Enables the NDAP login management
-- If the NDAP login management is enabled at the partition level then NDAP login 
-- management will be enabled irrespective of the class and entry level policies.
-- 
"ndapPartitionLoginMgmt"	ATTRIBUTE ::=
{
	Operation	ADD,
	Flags		{DS_SINGLE_VALUED_ATTR},
	SyntaxID	SYN_INTEGER,
	ASN1ObjID	{2 16 840 1 113719 1 1 4 1 537}
}

--
-- Presence of this attribute on a class definition indicates that by default
-- this class should use the NDAP login management and ignore the partition
-- level policy.
--
"ndapClassLoginMgmt"		ATTRIBUTE ::=
{
	Operation	ADD,
   	SyntaxID	SYN_UNKNOWN,
	ASN1ObjID	{2 16 840 1 113719 1 1 4 1 538}
}

--
-- This attribute allows per object instance overrides of the partition or 
-- class policies.
--
"ndapLoginMgmt"			ATTRIBUTE ::=
{
	Operation	ADD,
	SyntaxID	SYN_INTEGER,
	Flags		{DS_SINGLE_VALUED_ATTR},
	ASN1ObjID	{2 16 840 1 113719 1 1 4 1 539}
}

-- 
-- 
-- 
"Partition"			OBJECT-CLASS ::=
{
   Operation	MODIFY,
   MayContain	{"ndapPartitionPasswordMgmt"}
}

--
-- Allows per object instance overrides of the NDAP password management.
--
"ndsLoginProperties"		OBJECT-CLASS ::=
{
   Operation	MODIFY,
   MayContain	{"ndapPasswordMgmt"}
}

--
-- Allows per object instance overrides of the NDAP password management.
--
"ndsContainerLoginProperties"	OBJECT-CLASS ::=
{
   Operation	MODIFY,
   MayContain	{"ndapPasswordMgmt"}
}

--
-- By default Server and classes derived from Server should be allowed to 
-- use NDAP password management
--
"Server"			OBJECT-CLASS ::=
{
   Operation	MODIFY,
   MayContain	{"ndapClassPasswordMgmt"}
}

-- 
-- 
-- 
"Partition"			OBJECT-CLASS ::=
{
   Operation	MODIFY,
   MayContain	{"ndapPartitionLoginMgmt"}
}

--
-- Allows per object instance overrides of the NDAP login management.
--
"ndsLoginProperties"		OBJECT-CLASS ::=
{
   Operation	MODIFY,
   MayContain	{"ndapLoginMgmt"}
}

--
-- Allows per object instance overrides of the NDAP login management.
--
"ndsContainerLoginProperties"	OBJECT-CLASS ::=
{
   Operation	MODIFY,
   MayContain	{"ndapLoginMgmt"}
}

--
-- By default Server and classes derived from Server should be allowed to 
-- use NDAP login management
--
"Server"			OBJECT-CLASS ::=
{
   Operation	MODIFY,
   MayContain	{"ndapClassLoginMgmt"}
}

END
