--	--------------------------------------------------------------------------
--	Priority Sync Schema Definitions
--	VeRsIoN=1.0
--	CoPyRiGhT=Copyright (c) 2013 NetIQ Corporation and its affiliates. All Rights Reserved.
--
--	Name:					prsync.sch
--	%version:			5 %
--	%date_modified:	Mon Jun  4 12:30:10 2007 %
--	--------------------------------------------------------------------------

PrSyncSchemaExtensions DEFINITIONS ::= 
BEGIN

--	--------------------------------------------------------------------------
-- New PrSync policy DN attribute on Partition Aux class
--	--------------------------------------------------------------------------

"prSyncPolicyDN" ATTRIBUTE ::=
{
	SyntaxID				SYN_DIST_NAME,
	Flags					{DS_SINGLE_VALUED_ATTR, DS_SYNC_IMMEDIATE, DS_SERVER_READ},
	ASN1ObjID			{2 16 840 1 113719 1 1 4 1 540}
}

"Partition"	OBJECT-CLASS ::=
{
	Operation			MODIFY,
	MayContain			
	{
		"prSyncPolicyDN"
	}
}

--	--------------------------------------------------------------------------
-- New Priority Sync Attributes
--	--------------------------------------------------------------------------

-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
-- Priority Sync attribute - identifies which attributes are critical

"prSyncAttributes" ATTRIBUTE ::=
{
	SyntaxID			SYN_CI_STRING,
	Flags				{DS_SYNC_IMMEDIATE, DS_SERVER_READ},
	ASN1ObjID			{2 16 840 1 113719 1 1 4 1 541}
}

--	--------------------------------------------------------------------------
-- The Priority Sync Policy Object Class
--	--------------------------------------------------------------------------

-- ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
-- Priority Sync class - represents a Policy for Priority Sync stored on Partition

"prSyncPolicy" OBJECT-CLASS ::=
{
	Operation			ADD,
	SubClassOf			{"TOP"},
	Flags				{DS_EFFECTIVE_CLASS},
	ContainedBy
	{
		"domain",
		"Country",
		"Locality",
		"Organizational Unit",
		"Organization"
	},
	NamedBy			{"CN"},
	MustContain			{"CN"},
	MayContain
	{
		"prSyncAttributes"
	},
	ASN1ObjID			{2 16 840 1 113719 1 1 6 1 49}
}

--	--------------------------------------------------------------------------

END

