-- LDAP ASN1 Schema Definitions
-- NetIQ Corporation 
-- 1233 West Loop South, Suite 810 
-- Houston, TX 77027 USA

-- VeRsIoN=
-- CoPyRiGhT=Copyright (c) 2013 NetIQ Corporation and its affiliates. All Rights Reserved.

-- Object ID Syntax
------------------------------------------
------------------------------------------
-- ASN1 Object ID's Defined as Follows:
--     joint-iso-ccitt(2) country(16) us(840) organization(1)
--     Novell(113719) applications(1) WanMan(38)
--			NDSAttributeType(4)		revision#(1)		sequence#(1)
--			NDSAttributeSyntax(5)
--			NDSObjectClass(6)
------------------------------------------
-- One Additional Digit was added before the attribute or object
-- identifier to identify the release number.  This number reflects
-- the release number in which the object or attribute was added to the
-- definition.  The first release would have the ID 1 and count up from
-- there.
-- An example of the attribute of the first revision with sequence 1 would be:
-- 2 16 840 1 113719 1 38 4 1 1.
-- The attribute of the third revision with sequence 4 would be:
-- 2 16 840 1 113719 1 38 4 3 4.
------------------------------------------

WanManSchemaExtentions DEFINITIONS ::=
BEGIN

------------------------------------------
-- Specific New attributes for "WANMAN:LAN Area" object class
------------------------------------------

"WANMAN:WAN Policy" ATTRIBUTE ::=
{
	SyntaxID    SYN_OCTET_LIST,
	ASN1ObjID   {2 16 840 1 113719 1 38 4 1 1}
}

"WANMAN:LAN Area Membership" ATTRIBUTE ::=
{
	SyntaxID    SYN_DIST_NAME,
	Flags       {DS_SINGLE_VALUED_ATTR},
	ASN1ObjID   {2 16 840 1 113719 1 38 4 1 2}
}

"WANMAN:Cost" ATTRIBUTE ::=
{
	SyntaxID    SYN_OCTET_STRING,
	ASN1ObjID   {2 16 840 1 113719 1 38 4 1 3}
}

"WANMAN:Default Cost" ATTRIBUTE ::=
{
	SyntaxID    SYN_INTEGER,
	Flags       {DS_SINGLE_VALUED_ATTR},
	ASN1ObjID   {2 16 840 1 113719 1 38 4 1 4}
}

------------------------------------------
-- New Object Classes
------------------------------------------
------------------------------------------

"WANMAN:LAN Area" OBJECT-CLASS ::=
{
	Operation	ADD,
	SubClassOf	{"TOP"},
	Flags			{DS_EFFECTIVE_CLASS},
	ContainedBy	{"Country", "Locality",
	            "Organization", "Organizational Unit"},
	NamedBy		{"CN"},
	MustContain	{"CN"},
	-- Order is not significant.
	MayContain  {
					"Description",		"L",
               "Member",				"O",
               "OU",						"Owner",
               "See Also",				"WANMAN:WAN Policy",
               "WANMAN:Cost",			"WANMAN:Default Cost"},
	ASN1ObjID   {2 16 840 1 113719 1 38 6 1 4}
}

------------------------------------------
-- Modify Existing Object Class
------------------------------------------

"NCP Server" OBJECT-CLASS ::=
{
   Operation   MODIFY,
   MayContain  {
   				"WANMAN:WAN Policy",		"WANMAN:LAN Area Membership",
   				"WANMAN:Cost",				"WANMAN:Default Cost"}
}

END
